Bug 54159 - [RFE] rpm doesn't have an --excludes option.
[RFE] rpm doesn't have an --excludes option.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-28 18:12 EDT by Mike Busse
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-01 17:12:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Busse 2001-09-28 18:12:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
In looking at the man page for rpm, I don't see the option to exclude files
from installation.  I would like to see the option say: --excludes, which
handles regexps (to include full pathnames along with just file names). 
The excludes should point to a file containing the above.  I'm not sure how
much regexp'ing you really want to add.  The poor man's way is probably
sufficient.  For example webster, you don't have to use  this.*is.*a.*test
- just this*is*a*test, with ^ and $ automatically implied.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. DNA
2.
3.
	

Actual Results:  DNA

Expected Results:  DNA

Additional info:

DNA
Comment 1 Jeff Johnson 2001-09-30 09:52:20 EDT
FWF, rpm already has --excludepath option. Permitting
globs is not easy, as the path is also used as a
retrieval key, and databases, unlike file systems,
don't permit wildcards.
Comment 2 Mike Busse 2001-10-01 16:41:40 EDT
Just would like to clarify on the man page entry...  <path> can contain
a file, and with in that file can contain various paths for exclusion?
Comment 3 Jeff Johnson 2001-10-01 17:12:29 EDT
The option --excludepath takes a full absolute path to a directory
or file. You can add multiple entries if desired.

Also make sure that you are using rpm-4.0.3, as the option may have
been broken in rpm-4.0.2, I fergit.
Comment 4 Jeff Johnson 2001-12-09 13:40:37 EST
I think this problem is resolved. Please reopen if I'm mistaken.

Note You need to log in before you can comment on or make changes to this bug.